/***********************************************************************/
/*
  raster_file.h

  Revised by Mark Lake, 26/07/20017, for r.horizon in GRASS 7.x
  Revised by Mark Lake, 16/07/2007, for r.horizon in GRASS 6.x
  Written by Mark Lake, 15/07/2002, for r.horizon in GRASS 5.x

  NOTES
  Once maps are loaded into buffer, it is possible to read and write
  individual map cell values addressed by row and col, where row 0
  is the top row in the rast map and col 0 is the left-hand column
  in the raster map.

*/
/***********************************************************************/


#ifndef RASTER_FILE_H
#define RASTER_FILE_H

#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <grass/gis.h>
#include <grass/raster.h>
#include <grass/glocale.h>

/***********************************************************************/
/* Public functions                                                    */
/***********************************************************************/

void Close_raster_file (int);
/* Close_raster_infile (file descriptor) */

int Open_raster_infile (char*, char*, char*, RASTER_MAP_TYPE*, char*);
/* Open_raster_infile (map name, mapset, search mapset, 
   raster map data type, string to receive error message)
   Returns file descriptor */

void Copy_raster_row_buf_to_binary_CELL_buf (void*, void*, RASTER_MAP_TYPE);
/* Copy_raster_row_buf_to_binary_CELL_buf (pointer to input buffer,
   pointer to output buffer, input buffer type) */

#endif
